[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: 1.4.x ruby bindings + swig 1.3.33 problem

From: David Glasser <glasser_at_davidglasser.net>
Date: 2007-12-28 07:35:51 CET

On Dec 27, 2007 10:30 PM, Peter Samuelson <peter@p12n.org> wrote:
>
> So, I know swig 1.3.33 is not supported in Subversion 1.4.x (and not in
> trunk either?), but it seems to have changed a couple of things that
> break the ruby bindings.
>
> The first is removing #include "rubyhead.swg" from the top of
> libsvn_swig_ruby/swigutil_rb.c, which has already been dealt with in
> trunk. That change fails to support swig 1.3.25, so it can't be
> unconditional in 1.4.x.

For the record, I know very little about Swig, but on my work computer
(which I'm not at right now) with Swig 1.3.27, Ruby bindings build
*only* for 1.4.6 but not for trunk. (As in, I've never been able to
build them on trunk but they do build with 1.4.x.)

--dave

-- 
David Glasser | glasser_at_davidglasser.net | http://www.davidglasser.net/
---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@subversion.tigris.org
For additional commands, e-mail: dev-help@subversion.tigris.org
Received on Fri Dec 28 07:35:58 2007

This is an archived mail posted to the Subversion Dev mailing list.